﻿@model NF.Web.Models.ViewModels.FormVM
@{
    ViewData["Title"] = "CheckOutForm";
    Layout = "~/Views/Shared/_Layout.cshtml";
 
}

<style>
    .bottom-three {
        margin-left: 1cm;
    }

    .button-link {
        padding: 6px;
        border-radius: 8px;
        color: white;
    }
</style>



<div class="bottom-three">
    <div class="card text-black mb-5 text-center" style= " background-color: #85adad;   width: 35rem; height:28rem;">
        <div class="card-body">
            <div class="text-center">
                @{

                    string name;
                    string description;
                    if (Model.Description.Length >= 150)
                    {
                        description = Model.Description.Substring(0, 147) + "...";
                    }
                    else
                    {
                        description = Model.Description;
                    }
                    if (Model.Name.Length <= 30)
                    {
                        name = Model.Name;
                    }
                    else
                    {
                        name = Model.Name.Substring(0, 28) + "..";
                    }

                    string date = Model.ModifiedOn.ToString("dd/MM/yyyy");



                }

                <div class="col-8 offset-2">
                    <h2 class="card-title">@name</h2>
                    <hr />
                    <h5 class="card-text" style="word-break: break-all;">@description</h5>
                </div>
                <hr />
                <div class="row">
                    <div class="col-8 offset-2">

                        <h4>
                            Form has :
                            <br />
                            - @Model.DocumentQuestions.Count Document Questions,
                            <br />
                            - @Model.OptionsQuestions.Count Option Questions,
                            <br />
                            - @Model.TextQuestions.Count Text Questions,
                        </h4>



                    </div>

                </div>
                <br />

                <smal class="text-right">Last modified on : @date</smal><br />
                <smal class="text-right">Answers count : @Model.AnsweredCount</smal><br />
                <br />

                <form style=" bottom: 0; vertical-align:central; margin: 0 auto;">
                    @if (User.Identity.IsAuthenticated && User.Identity.Name == Model.CreatorUsername)
                    {

                        <button class="button-link" style="background-color: yellowgreen;  border: 1px orange;" asp-area="" asp-controller="Forms" asp-action="Edit" asp-route-id="@Model.Id"> Edit </button>

                        <button asp-area="" class="button-link" style="background-color: lawngreen; border: 1px green; width:145px;" asp-controller="Forms" asp-action="CheckOutFormAnswers" asp-route-id="@Model.Id"> View Answers </button>

                        <button asp-area="" asp-controller="Forms" asp-action="Delete" asp-route-id="@Model.Id" class="button-link" style="background-color: indianred;  border: 1px red;"> Delete </button>

                    }
                    <button asp-area="" class="button-link" style="background-color: lawngreen;  border: 1px green;" asp-controller="Forms" asp-action="Answer" asp-route-id="@Model.Id"> Answer </button>
                    <button type="button" class="share_button btn btn-dark" data-formid="@Model.Id" data-formname="@Model.Name" data-toggle="modal" data-target="#share_modal">
                        <i class="fa fa-share-alt"></i>
                    </button>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="share_modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modal_title">Share</h5>
                <button type="button" class="close" data-dismiss="modal">
                    <span>&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <label for="emails_textarea"> Comma-separated emails</label>
                <textarea id="emails_textarea" class="form-control" style="width: 100%;"></textarea>
            </div>
            <div class="modal-footer">
                <button id="share_modal_close_button" type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button id="send_emails_button" type="button" class="btn btn-primary">Send</button>
            </div>
        </div>
    </div>
</div>
<script src="/lib/jquery/dist/jquery.min.js"></script>



<script>
    $(document).ready(function () {

        $(document).on('click', '.share_button', function () {
            $('#modal_title').text("Share form " + "'" + $(this).attr('data-formname') + "'");
            $('#send_emails_button').val($(this).attr('data-formid'));//@*@Model.Id*@
            $('#send_emails_button').attr('data-formname', $(this).attr('data-formname'));
        });

        $('#share_modal').on('hidden.bs.modal', function (e) {
            $('#modal_title').text("Share form");
            $('#emails_textarea').val('');
            $('#send_emails_button').val('');
            $('#send_emails_button').attr('data-formname', '');
        });

        $(document).on('click', '#send_emails_button', function () {

            if ($('#emails_textarea').val()) {
                var emails = $('#emails_textarea').val().split(/\s*,\s*/);
            } else {
                var emails = [];
            }

            if (emails.length > 0) {

                $.ajax({
                    url: '/Forms/SendEmails',
                    data: {
                        'form_id': $(this).val(),
                        'form_name': $(this).attr('data-formname'),
                        'emails': emails
                    },
                    type: 'POST',
                    dataType: 'json',
                    success: function (data, textStatus, jqXHR) {
                        if (data.success) {
                            alert("Success! Emails were sent to: " + emails);
                            $("#share_modal_close_button").click();
                        } else {
                            alert(data.error_msg);
                        }
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                    }
                });

            } else {
                alert("No emails given in the textarea. Nothing was sent.")
            }
        });

    });
</script>








